Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class UNKNOWN

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.UNKNOWN

All Implemented Interfaces:
  Serializable

public final class UNKNOWN
extends SystemException

This exception is raised if an operation implementation throws a non-CORBA exception (such as an exception specific to the implementation's programming language), or if an operation raises a user exception that does not appear in the operation's raises expression. UNKNOWN is also raised if the server returns a system exception that is unknown to the client. (This can happen if the server uses a later version of CORBA than the client and new system exceptions have been added to the later version.)

It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

See the section Minor Code Meanings to see the minor codes for this exception.

See Also:
  documentation on Java IDL exceptions

Field Summary

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`UNKNOWN()` Constructs an `UNKNOWN` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.
`UNKNOWN(int minor, CompletionStatus completed)` Constructs an `UNKNOWN` exception with the specified minor code and completion status.
`UNKNOWN(String s)` Constructs an `UNKNOWN` exception with the specified description message, a minor code of 0, and a completion state of COMPLETED_NO.
`UNKNOWN(String s, int minor, CompletionStatus completed)` Constructs an `UNKNOWN` exception with the specified description message, minor code, and completion status.

Methods inherited from class org.omg.CORBA.SystemException
`toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UNKNOWN

    public UNKNOWN()

  Constructs an `UNKNOWN` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.

### UNKNOWN

    public UNKNOWN(String s)

  Constructs an `UNKNOWN` exception with the specified description message, a minor code of 0, and a completion state of COMPLETED_NO.

Parameters:
  `s` - the String containing a detail message

### UNKNOWN

    public UNKNOWN(int minor,
                   CompletionStatus completed)

  Constructs an `UNKNOWN` exception with the specified minor code and completion status.

Parameters:
  `minor` - the minor code
  `completed` - the completion status

### UNKNOWN

    public UNKNOWN(String s,
                   int minor,
                   CompletionStatus completed)

  Constructs an `UNKNOWN` exception with the specified description message, minor code, and completion status.

Parameters:
  `s` - the String containing a description message
  `minor` - the minor code
  `completed` - the completion status

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.